Share via


Get Scoped Asset Meta Data For Asset DQ - Get Scoped Asset Meta Data For Asset DQ

Retrieves the scoped asset metadata for a given data asset within a business domain. Data product is specified as optional query parameter.

GET {endpoint}/purviewdataquality/api/business-domains/{businessDomainId}/data-assets/{dataAssetId}/scoped-asset-metadata?api-version=2026-01-12-preview
GET {endpoint}/purviewdataquality/api/business-domains/{businessDomainId}/data-assets/{dataAssetId}/scoped-asset-metadata?api-version=2026-01-12-preview&dataProductId={dataProductId}

URI Parameters

Name In Required Type Description
businessDomainId
path True

string

Unique identifier for the business domain containing the data product

dataAssetId
path True

string

Unique identifier for the data asset whose scoped metadata is being retrieved

endpoint
path True

string (uri)

api-version
query True

string

minLength: 1

The API version to use for this operation.

dataProductId
query

string

For assets not associated with any Data Product, use Guid.Empty for dataProductId. Optional.

Responses

Name Type Description
200 OK

ScopedAssetMetadata

The request has succeeded.

Other Status Codes

Azure.Core.Foundations.ErrorResponse

An unexpected error response.

Headers

x-ms-error-code: string

Security

OAuth2Auth

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
https://purview.azure.net/.default

Examples

ScopedAssetMetaData_Get_V2

Sample request

GET {endpoint}/purviewdataquality/api/business-domains/abcdef12-3456-7890-abcd-ef1234567890/data-assets/123e4567-e89b-12d3-a456-426614174000/scoped-asset-metadata?api-version=2026-01-12-preview&dataProductId=00000000-0000-0000-0000-000000000000

Sample response

{
  "description": "",
  "favouriteColumnPaths": [],
  "id": "642bc3b4-66aa-494a-b9d9-797085ce2cb0",
  "businessDomain": {
    "type": "BusinessDomainReference",
    "referenceId": "76be16f9-5cb3-4839-83d6-4e3829a8ab0c"
  },
  "dataProduct": {
    "type": "DataProductReference",
    "referenceId": "2a1d2087-09e2-4ecf-817d-1f5bfcbc31bf"
  },
  "dataAsset": {
    "type": "DataAssetReference",
    "referenceId": "fadb55b6-aa10-47d5-82c4-5e2723ba7869"
  },
  "runtime": {
    "isErrorRowRequired": false,
    "errorRowWriteFormat": ""
  },
  "createdAt": "2025-06-27T10:38:07.6920087Z",
  "lastModifiedAt": "2025-06-27T10:38:07.6920087Z",
  "createdBy": "92522642-6537-4785-9fcd-fe58afaa43c5",
  "lastModifiedBy": "92522642-6537-4785-9fcd-fe58afaa43c5",
  "ETag": "250026c0-0000-3200-0000-685e748f0000"
}

Definitions

Name Description
Azure.Core.Foundations.Error

The error object.

Azure.Core.Foundations.ErrorResponse

A response containing error details.

Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

Reference

Reference to entities in the data governance hierarchy for relationship establishment

ScopedAssetMetadata

Scoped asset metadata configuration linked to a specific data asset.

ScopedAssetMetadataRuntime

Runtime configuration options for a scoped asset metadata entity.

Azure.Core.Foundations.Error

The error object.

Name Type Description
code

string

One of a server-defined set of error codes.

details

Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror

Azure.Core.Foundations.InnerError

An object containing more specific information than the current object about the error.

message

string

A human-readable representation of the error.

target

string

The target of the error.

Azure.Core.Foundations.ErrorResponse

A response containing error details.

Name Type Description
error

Azure.Core.Foundations.Error

The error object.

Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

Name Type Description
code

string

One of a server-defined set of error codes.

innererror

Azure.Core.Foundations.InnerError

Inner error.

Reference

Reference to entities in the data governance hierarchy for relationship establishment

Name Type Description
referenceId

string

Unique identifier of the referenced entity

type

string

Type classification of the referenced entity

ScopedAssetMetadata

Scoped asset metadata configuration linked to a specific data asset.

Name Type Description
ETag

string

Entity tag used for concurrency control and version validation.

businessDomain

Reference

Reference to the associated Business Domain.

createdAt

string (date-time)

Timestamp when this metadata was created.

createdBy

string

Identifier of the user who created this metadata.

dataAsset

Reference

Reference to the associated Data Asset.

dataProduct

Reference

Reference to the associated Data Product.

description

string

Descriptive text providing details about the scoped asset metadata.

favouriteColumnPaths

string[]

List of favorite column paths selected for quick access or monitoring.

id

string

Unique identifier for the scoped asset metadata entity.

lastModifiedAt

string (date-time)

Timestamp when this metadata was last modified.

lastModifiedBy

string

Identifier of the user who last modified this metadata.

runtime

ScopedAssetMetadataRuntime

Runtime configuration parameters defining error row behavior and output format.

ScopedAssetMetadataRuntime

Runtime configuration options for a scoped asset metadata entity.

Name Type Description
errorRowWriteFormat

string

Specifies the format in which error rows are written (e.g., CSV, Parquet).

isErrorRowRequired

boolean

Indicates whether error row details should be captured.